﻿using UnityEngine;

public class TeleportMod : Mod
{
    Network_Player player = RAPI.GetLocalPlayer();
    public void Start()
    {
        Debug.Log("Click 'K' to teleport");
    }

    public void OnModUnload()
    {
        Debug.Log("Mod TeleportMod has been unloaded!");
    }

    public void FixedUpdate()
    {
        RaycastHit hit;
        if (Input.GetKeyDown(KeyCode.K))
        {
            if(Physics.Raycast(player.transform.position, Camera.main.transform.forward, out hit, 10000f, LayerMask.GetMask("Obstruction", "Tree", "Block", "Water")))
            {
                player.transform.position = hit.point + Vector3.up * 1f;
            }
        }
    }
}